# Changelog

## 2024-10-23 - 1.9.126 - fix(format)
Remove redundant package.json property checks

- Removed property checks for `main`, `typings`, and `browserslist` from format.packagejson.ts
- This change streamlines the formatting process by removing unnecessary exits

## 2024-09-29 - 1.9.125 - fix(cli)
Fix package version configuration and formatting issues

- Updated metadata fields in package.json (repository URL, bugs URL, and homepage).
- Ensured presence and correctness of essential fields in package.json (main, typings, files, scripts, etc.).
- Added missing Prettier default TypeScript and Markdown configurations.

## 2024-09-27 - 1.9.124 - fix(cli)
Ensured proper existence and initialization of readme files

- Ensured readme.md and readme.hints.md files are created and initialized if they do not exist.

## 2024-09-27 - 1.9.123 - fix(core)
No changes detected


## 2024-09-27 - 1.9.123 - fix(core)
Update dependencies and improve build configurations

- Updated several dependencies in package.json for better compatibility
- Changed typedserver dependency version in website template
- Adjusted website server and service worker in templates
- Added security and test workflows for Gitea repositories
- Added and configured .gitignore, .npmrc, .vscode settings for the project
- Provided initial structure for readme and readme hints

## 2024-06-24 - 1.9.122 - fix(mod_commit)
Update package.json dependencies: @git.zone/tsdoc and @push.rocks/smartpromise to latest versions.

- - Updated @git.zone/tsdoc to ^1.3.12
- - Updated @push.rocks/smartfile to ^11.0.21

## 2024-06-23 - 1.9.121 - fix(mod_commit)
Fix changelog template rendering by removing extra new line when no version details are provided.

- Update package.json dependencies: @git.zone/tsdoc and @push.rocks/smartpromise to latest versions.

## 2024-06-23 - 1.9.120 - fix(mod_commit)
Handle edge case for empty version details in changelog formatting

- Added check for the length of the recommendedNextVersionDetails array
- Ensure no extra newline in changelog if there are no version details

## 2024-06-23 - 1.9.119 - fix(dependencies)
Update @git.zone/tsdoc to v1.3.8

- Updated @git.zone/tsdoc from v1.3.7 to v1.3.8 in package.json

## 2024-06-23 - 1.9.118 - fix(dependencies)
Update @git.zone/tsdoc to version 1.3.7

- Bump @git.zone/tsdoc from 1.3.6 to 1.3.7 in both package.json and pnpm-lock.yaml

## 2024-06-23 - 1.9.117 - fix(dependencies)
Update @git.zone/tsdoc dependency to v1.3.6

- Updated @git.zone/tsdoc version from 1.3.5 to 1.3.6 in package.json
- Updated pnpm-lock.yaml to reflect the new version of @git.zone/tsdoc

## 2024-06-23 - 1.9.116 - fix(dependencies)
Update @git.zone/tsdoc to version 1.3.5

- Updated the @git.zone/tsdoc dependency in package.json and pnpm-lock.yaml from version 1.3.4 to 1.3.5
- Removed the outdated changelog.md file.

## 2024-06-23 - 1.9.114 - fix(format)
Fixed formatting issues across multiple TypeScript files.

## 2024-06-23 - 1.9.113 - fix(mod_commit)
Remove extra new lines in changelog.

## 2024-06-23 - 1.9.112 - fix(core)
Update changelog formatting and remove outdated entries.

## 2024-06-23 - 1.9.111 - fix(changelog)
Remove outdated changelog entries and update formatting.

## 2024-06-23 - 1.9.110 - fix(dependencies)
Update @git.zone/tsdoc to version 1.3.4.

## 2024-06-23 - 1.9.109 - fix(changelog)
Remove outdated entries and adjust formatting in changelog.

## 2024-06-23 - 1.9.108 - fix(dependencies)
Update @git.zone/tsdoc dependency to version 1.3.2.

## 2024-06-23 - 1.9.107 - fix(changelog)
Remove placeholder entries and adjust formatting in changelog.

## 2024-06-23 - 1.9.106 - fix(dependencies)
Updated @git.zone/tsdoc from version 1.3.0 to 1.3.1.

## 2024-06-23 - 1.9.105 - fix(dependencies)
Updated @git.zone/tsdoc dependency from 1.2.2 to 1.3.0 in package.json and pnpm-lock.yaml.

## 2024-06-23 - 1.9.104 - fix(changelog)
Remove placeholder entries and adjust formatting in changelog.

## 2024-06-23 - 1.9.103 - fix(changelog)
Fix changelog to remove placeholder entries and adjust formatting.

## 2024-06-23 - 1.9.102 - fix(logging)
Optimize logger instantiation and configuration.

## 2024-06-23 - 1.9.101 - fix(metadata)
Ensure accurate project metadata in package.json.

## 2024-06-23 - 1.9.100 - fix(dependencies)
Updated @git.zone/tsdoc dependency version to ^1.2.2 in package.json and pnpm-lock.yaml.

## 2024-06-23 - 1.9.99 - fix(mod_commit)
Fix variable reassignment issue in changelog writing step.
